package betclic.test.player

interface PlayerService {
    suspend fun createNewPlayer(pseudo: String)

    suspend fun updatePlayer(player: Player): Player

    suspend fun findPlayerByPseudo(pseudo: String): Player

    suspend fun getPlayerInfoByPseudo(pseudo: String): PlayerInfoDTO

    suspend fun getPlayersRanked(): List<PlayerInfoDTO>

    suspend fun deleteAllPlayers()
}